﻿@{
    Layout = null;
}
<link href="~/Content/Frameworks/KendoUI/kendo.default.min.css" rel="stylesheet" />
<link href="~/Content/Frameworks/KendoUI/kendo.common.min.css" rel="stylesheet" />

<div class="new-elemet" ng-if="element._IsNewElement">
    <div class="add-new-types">
        <h5>What do you want to add here?</h5>
        <ul class="types default-types clearfix">
            <li class="{{template.Type}}" ng-click="JbElement.Operate.Add.Element.SelectType(element,template.Type)" ng-repeat="template in JbElement.DefaultTemplates">
                {{template.TypeTitle}}
            </li>
        </ul>
    </div>
    <button type="button" ng-click="JbElement.Operate.Edit.CancelActiveElement(section,elementIndex)" class="link place-right button">Cancel</button>
    <div class="clearfix"></div>
</div>
<div ng-if="!element._IsNewElement">
    <form ng-if="element.Type == 'JbTextBox'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <div ng-if="!JbElement.Operate.IsRequiredByJB(section, element)">
            <label class="req-star">Question</label>
            <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
                <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
            </div>
            @*<label>Default answer</label>
                <div class="input-control text" data-role="input-control">
                    <input name="Value" ng-model="element.Value" type="text" ng-change="JbElement.Operate.Value(element)" />
                </div>*@
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbDatePicker'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <label class="req-star">Question</label>
        <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
        </div>
        <label>Default answer</label>
        <div data-role="datepicker" data-format="mm/dd/yyyy" data-effect="fade">
            <input name="Value" ng-model="element.Value" k-format="'MM/dd/yyyy'" type="text" kendo-date-picker />
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbTextArea'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <label class="req-star">Question</label>
        <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
        </div>
        @*<label>Default answer</label>
            <div class="input-control textarea" data-role="input-control">
                <textarea name="Value" ng-model="element.Value" ng-change="JbElement.Operate.Value(element)"></textarea>
            </div>*@
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbParagraph'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <label class="req-star">Text</label>
        <div class="input-control textarea" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Value.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <textarea name="Value" ng-model="element.Value" required="" data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)"></textarea>
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbNumber'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <label class="req-star">Question</label>
        <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
        </div>
        @*<label>Default answer</label>
            <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Value.$invalid, 'valid-state' : activeForm._submited && activeForm.Value.$valid}">
                <input name="Value" ng-model="element.Value" ui-validate="'JbNumber.Validate.Value($value)'" data-toggle="tooltip" data-placement="top" title="Please enter a valid number" jb-tooltip ng-change="JbNumber.Operate.Value(element)" />
            </div>*@
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbEmail'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <div ng-if="!(section.Name == 'ParticipantSection' &&  element.Name == 'Email' )">
            <label class="req-star">Question</label>
            <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
                <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
            </div>
            @*<label>Default email</label>
                <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Value.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
                    <input name="Value" ng-model="element.Value" ui-validate="'JbEmail.Validate.Value($value)'" data-toggle="tooltip" data-placement="top" title="Please enter a valid email" jb-tooltip ng-change="JbEmail.Operate.Value(element)" />
                </div>*@
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbCheckBox'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <label class="req-star">Question</label>
        <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
        </div>
        @*<div class="input-control checkbox">
                <label>
                    <input name="Value" ng-model="element.Value" type="checkbox" />
                    <span class="check"></span>
                    Default answer
                </label>
            </div>*@
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbAddress'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <label class="req-star">Question</label>
        <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
        </div>
        <label class="req-star">Address type</label>
        <div class="input-control select" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.AddressType.$invalid, 'valid-state' : activeForm._submited && activeForm.AddressType.$valid}">
            <select name="AddressType" ng-model="element.AddressType" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Please select address type' : '' }}" jb-tooltip>
                <option value="US">US address</option>
                <option value="Canada">Canada address</option>
                <option value="INTERNATIONAL">International address</option>
            </select>
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbPhone'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <label class="req-star">Question</label>
        <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
        </div>
        <label class="req-star">Phone number type</label>
        <div class="input-control select" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.PhoneType.$invalid, 'valid-state' : activeForm._submited && activeForm.PhoneType.$valid}">
            <select name="PhoneType" ng-model="element.PhoneType" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Please select phone type' : '' }}" jb-tooltip>
                <option value="US">US/Canada phone number</option>
                <option value="INTERNATIONAL">International phone number</option>
            </select>
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbDropDown'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <div ng-if="element.Name != 'Grade'  && element.Name != 'Gender' && element.Name != 'ParentRelationship' && element.Name != 'Relationship' && element.Name != 'HearAboutUs' && element.Name != 'SelfAdministerMedication'  && element.Name != 'NutAllergy' && element.Name != 'PermissionPhotography'">
            <div ng-if="!JbElement.Operate.IsRequiredByJB(section, element)">
                <label class="req-star">Question</label>
                <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
                    <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
                </div>
                <div class="drop-down-options">
                    <ul ui-sortable="SortableOptions.DropdownOption" ng-model="element.Items">
                        <li class="drop-down-option" ng-repeat="item in element.Items">
                            <div>
                                <span>{{$index + 1}}</span>
                                <span><input ng-readonly="item.ReadOnly" id="optionInput{{element.ElementId}}{{$index}}" type="text" ng-model="item.Text"  ng-change="JbDropDown.Operate.SetOptionValue(element.Items,item)" /></span>
                                <span ng-hide="item.ReadOnly"><i ng-if="element.Items.length > 1" ng-click="JbDropDown.Operate.RemoveOption(element,$index)" class="jbi-remove"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </li>
                    </ul>
                    <ul>
                        <li class="new-option">
                            <span>{{element.Items.length + 1}}</span>
                            <span><input type="text" value="Click to add option" ng-focus="JbDropDown.Operate.AddOption(element)" /></span>
                            <span>&nbsp;</span>
                            <div class="clearfix"></div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div ng-if="element.Name == 'Grade'">
            <label>Options</label>
            <div class="school-grade-option">
                <ul ng-init="JbSchoolGrade.Operate.Initialize(element)">
                    <li ng-repeat="grade in element.Grades">

                        <div class="one-half">{{grade.Title}}</div>
                        <div class="one-half">
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + grade.Value}}" type="radio" ng-model="grade.Visible" ng-value="true" ng-change="JbSchoolGrade.Operate.SetVisibleGradesAsItems(element)" />
                                    <span class="check"></span>
                                    Show
                                </label>
                            </div>
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + grade.Value}}" type="radio" ng-model="grade.Visible" ng-value="false" ng-change="JbSchoolGrade.Operate.SetVisibleGradesAsItems(element)" />
                                    <span class="check"></span>
                                    Hide
                                </label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>
        <div ng-if="element.Name == 'Gender'">
            <label>Options</label>
            <div class="school-gender-option">
                <ul ng-init="JbSchoolGender.Operate.Initialize(element)">
                    <li ng-repeat="gender in element.Genders">

                        <div class="one-half">{{gender.Title}}</div>
                        <div class="one-half">
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + gender.Value}}" type="radio" ng-model="gender.Visible" ng-value="true" ng-change="JbSchoolGender.Operate.SetVisibleGendersAsItems(element)" />
                                    <span class="check"></span>
                                    Show
                                </label>
                            </div>
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + gender.Value}}" type="radio" ng-model="gender.Visible" ng-value="false" ng-change="JbSchoolGender.Operate.SetVisibleGendersAsItems(element)" />
                                    <span class="check"></span>
                                    Hide
                                </label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>
        <div ng-if="element.Name == 'ParentRelationship'">
            <label>Options</label>
            <div class="parent-relationship-option">
                <ul ng-init="JbParentsRelationships.Operate.Initialize(element)">
                    <li ng-repeat="relationship in element.Relationships">

                        <div class="one-half">{{relationship.Title}}</div>
                        <div class="one-half">
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + relationship.Value}}" type="radio" ng-model="relationship.Visible" ng-value="true" ng-change="JbParentsRelationships.Operate.SetVisibleRelationshipsAsItems(element)" />
                                    <span class="check"></span>
                                    Show
                                </label>
                            </div>
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + relationship.Value}}" type="radio" ng-model="relationship.Visible" ng-value="false" ng-change="JbParentsRelationships.Operate.SetVisibleRelationshipsAsItems(element)" />
                                    <span class="check"></span>
                                    Hide
                                </label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>
        <div ng-if="element.Name == 'Relationship'">
            <label>Options</label>
            <div class="relationship-option">
                <ul ng-init="JbRelationships.Operate.Initialize(element)">
                    <li ng-repeat="relationship in element.Relationships">

                        <div class="one-half">{{relationship.Title}}</div>
                        <div class="one-half">
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + relationship.Value}}" type="radio" ng-model="relationship.Visible" ng-value="true" ng-change="JbRelationships.Operate.SetVisibleRelationshipsAsItems(element)" />
                                    <span class="check"></span>
                                    Show
                                </label>
                            </div>
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + relationship.Value}}" type="radio" ng-model="relationship.Visible" ng-value="false" ng-change="JbRelationships.Operate.SetVisibleRelationshipsAsItems(element)" />
                                    <span class="check"></span>
                                    Hide
                                </label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>
        <div ng-if="element.Name == 'HearAboutUs'">
            <label>Options</label>
            <div class="miscellaneous-HearAboutUs-option">
                <ul ng-init="JbHearAboutUs.Operate.Initialize(element)">
                    <li ng-repeat="hearAboutUs in element.HearAboutUs">

                        <div class="one-half">{{hearAboutUs.Title}}</div>
                        <div class="one-half">
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + hearAboutUs.Value}}" type="radio" ng-model="hearAboutUs.Visible" ng-value="true" ng-change="JbHearAboutUs.Operate.SetVisibleHearAboutUsAsItems(element)" />
                                    <span class="check"></span>
                                    Show
                                </label>
                            </div>
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + hearAboutUs.Value}}" type="radio" ng-model="hearAboutUs.Visible" ng-value="false" ng-change="JbHearAboutUs.Operate.SetVisibleHearAboutUsAsItems(element)" />
                                    <span class="check"></span>
                                    Hide
                                </label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>

        <div ng-if="element.Name == 'SelfAdministerMedication'">
            <label>Options</label>
            <div class="SelfAdministerMedication-option">
                <ul ng-init="JbSelfAdministerMedication.Operate.Initialize(element)">
                    <li ng-repeat="selfAdministerMedication in element.SelfAdministerMedication">

                        <div class="one-half">{{selfAdministerMedication.Title}}</div>
                        <div class="one-half">
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + selfAdministerMedication.Value}}" type="radio" ng-model="selfAdministerMedication.Visible" ng-value="true" ng-change="JbSelfAdministerMedication.Operate.SetVisibleSelfAdministerMedicationAsItems(element)" />
                                    <span class="check"></span>
                                    Show
                                </label>
                            </div>
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + selfAdministerMedication.Value}}" type="radio" ng-model="selfAdministerMedication.Visible" ng-value="false" ng-change="JbSelfAdministerMedication.Operate.SetVisibleSelfAdministerMedicationAsItems(element)" />
                                    <span class="check"></span>
                                    Hide
                                </label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>

        <div ng-if="element.Name == 'NutAllergy'">
            <label>Options</label>
            <div class="NutAllergy-option">
                <ul ng-init="JbNutAllergy.Operate.Initialize(element)">
                    <li ng-repeat="nutAllergy in element.NutAllergy">

                        <div class="one-half">{{nutAllergy.Title}}</div>
                        <div class="one-half">
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + nutAllergy.Value}}" type="radio" ng-model="nutAllergy.Visible" ng-value="true" ng-change="JbNutAllergy.Operate.SetVisibleNutAllergyAsItems(element)" />
                                    <span class="check"></span>
                                    Show
                                </label>
                            </div>
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + nutAllergy.Value}}" type="radio" ng-model="nutAllergy.Visible" ng-value="false" ng-change="JbNutAllergy.Operate.SetVisibleNutAllergyAsItems(element)" />
                                    <span class="check"></span>
                                    Hide
                                </label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>

        <div ng-if="element.Name == 'PermissionPhotography'">
            <label>Options</label>
            <div class="PermissionPhotography-option">
                <ul ng-init="JbPermissionPhotography.Operate.Initialize(element)">
                    <li ng-repeat="permissionPhotography in element.PermissionPhotography">

                        <div class="one-half">{{permissionPhotography.Title}}</div>
                        <div class="one-half">
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + permissionPhotography.Value}}" type="radio" ng-model="permissionPhotography.Visible" ng-value="true" ng-change="JbPermissionPhotography.Operate.SetVisiblePermissionPhotographyAsItems(element)" />
                                    <span class="check"></span>
                                    Show
                                </label>
                            </div>
                            <div class="input-control radio  default-style" data-role="input-control">
                                <label>
                                    <input name="{{element.Name + permissionPhotography.Value}}" type="radio" ng-model="permissionPhotography.Visible" ng-value="false" ng-change="JbPermissionPhotography.Operate.SetVisiblePermissionPhotographyAsItems(element)" />
                                    <span class="check"></span>
                                    Hide
                                </label>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
            <div class="clearfix"></div>
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbRadioList'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <div ng-if="!JbElement.Operate.IsRequiredByJB(section, element)">
            <label class="req-star">Question</label>
            <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
                <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
            </div>
            <div class="drop-down-options">
                <ul ui-sortable="SortableOptions.DropdownOption" ng-model="element.Items">
                    <li class="drop-down-option" ng-repeat="item in element.Items">
                        <div>
                            <span>{{$index + 1}}</span>
                            <span><input id="optionInput{{element.ElementId}}{{$index}}" type="text" ng-model="item.Text" ng-change="JbDropDown.Operate.SetOptionValue(element.Items,item)" /></span>
                            <span><i ng-if="element.Items.length > 1" ng-click="JbDropDown.Operate.RemoveOption(element,$index)" class="jbi-remove"></i></span>
                            <div class="clearfix"></div>
                        </div>
                    </li>
                </ul>
                <ul>
                    <li class="new-option">
                        <span>{{element.Items.length + 1}}</span>
                        <span><input type="text" value="Click to add option" ng-focus="JbDropDown.Operate.AddOption(element)" /></span>
                        <span>&nbsp;</span>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbSignature'" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <label class="req-star">Question</label>
        <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top" validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.IsCustomElement" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <div ng-if="!JbElement.Operate.IsRequiredByJB(section, element)">
            <label class="req-star">Question</label>
            <div class="input-control text" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Title.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
                <input name="Title" ng-model="element.Title" type="text" required data-toggle="tooltip" data-placement="top"
                       validation-error-tooltip data-original-title="{{ activeForm._submited ? 'Question is required' : '' }}" jb-tooltip ng-change="JbElement.Operate.Title(element)" />
            </div>
        </div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
        <div class="clearfix"></div>
    </form>

    <form ng-if="element.Type == 'JbTextEditor'" ng-init="someMethod()" name="activeForm" ng-submit="JbElement.Operate.Edit.SaveActiveElement(element,activeForm)" novalidate class="no-margin">
        <div class="input-control textarea kendo-text-editor-container" id="container" data-role="input-control" ng-class="{'error-state' : activeForm._submited && activeForm.Value.$invalid, 'valid-state' : activeForm._submited && activeForm.Title.$valid}">
            <textarea name="Value" kendo-editor k-ng-model="element.Value" k-options="{{editorOptions}}" class="kendo-text-editor"></textarea>
        </div>
        <div class="clearfix"></div>
        <div class="shared" ng-include src="'/Dashboard/_FormElementsEditModeSharedView'"></div>
    </form>




</div>
